Tlhelp32.PROCESSENTRY32 (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Tlhelp32, class: PROCESSENTRY32

Package com.sun.jna.platform.win32

# Class Tlhelp32.PROCESSENTRY32

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Tlhelp32.PROCESSENTRY32

Direct Known Subclasses:
  `Tlhelp32.PROCESSENTRY32.ByReference`

Enclosing interface:
  Tlhelp32

@FieldOrder({"dwSize","cntUsage","th32ProcessID","th32DefaultHeapID","th32ModuleID","cntThreads","th32ParentProcessID","pcPriClassBase","dwFlags","szExeFile"}) public static class Tlhelp32.PROCESSENTRY32 extends Structure
Describes an entry from a list of the processes residing in the system address space when a snapshot was taken.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Tlhelp32.PROCESSENTRY32.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `WinDef.DWORD`
  `cntThreads`
  The number of execution threads started by the process.
  `WinDef.DWORD`
  `cntUsage`
  This member is no longer used and is always set to zero.
  `WinDef.DWORD`
  `dwFlags`
  This member is no longer used, and is always set to zero.
  `WinDef.DWORD`
  `dwSize`
  The size of the structure, in bytes.
  `WinDef.LONG`
  `pcPriClassBase`
  The base priority of any threads created by this process.
  `char[]`
  `szExeFile`
  The name of the executable file for the process.
  `BaseTSD.ULONG_PTR`
  `th32DefaultHeapID`
  This member is no longer used and is always set to zero.
  `WinDef.DWORD`
  `th32ModuleID`
  This member is no longer used and is always set to zero.
  `WinDef.DWORD`
  `th32ParentProcessID`
  The identifier of the process that created this process (its parent process).
  `WinDef.DWORD`
  `th32ProcessID`
  The process identifier.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PROCESSENTRY32()`
  `PROCESSENTRY32(Pointer memory)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### dwSize

    public WinDef.DWORD dwSize
    The size of the structure, in bytes. Before calling the Process32First function, set this member to sizeof(PROCESSENTRY32). If you do not initialize dwSize, Process32First fails.

  - ### cntUsage

    public WinDef.DWORD cntUsage
    This member is no longer used and is always set to zero.

  - ### th32ProcessID

    public WinDef.DWORD th32ProcessID
    The process identifier.

  - ### th32DefaultHeapID

    public BaseTSD.ULONG_PTR th32DefaultHeapID
    This member is no longer used and is always set to zero.

  - ### th32ModuleID

    public WinDef.DWORD th32ModuleID
    This member is no longer used and is always set to zero.

  - ### cntThreads

    public WinDef.DWORD cntThreads
    The number of execution threads started by the process.

  - ### th32ParentProcessID

    public WinDef.DWORD th32ParentProcessID
    The identifier of the process that created this process (its parent process).

  - ### pcPriClassBase

    public WinDef.LONG pcPriClassBase
    The base priority of any threads created by this process.

  - ### dwFlags

    public WinDef.DWORD dwFlags
    This member is no longer used, and is always set to zero.

  - ### szExeFile

    public char[] szExeFile
    The name of the executable file for the process. To retrieve the full path to the executable file, call the Module32First function and check the szExePath member of the MODULEENTRY32 structure that is returned. However, if the calling process is a 32-bit process, you must call the QueryFullProcessImageName function to retrieve the full path of the executable file for a 64-bit process.

- ## Constructor Details

  - ### PROCESSENTRY32

    public PROCESSENTRY32()

  - ### PROCESSENTRY32

    public PROCESSENTRY32(Pointer memory)